# TextFileQueue Class Reference

Inheritance diagram for TextFileQueue:
[legend]

List of all members.

## Public Member Functions

| setFileName ($fileName)
| getFileName ()
| setOffset ($offset)
| getOffset ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $fileName = null
| $offset = null

## Detailed Description

Definition at line 12 of file TextFileQueue.class.php.

## Member Function Documentation

static TextFileQueue::create | ( |  | ) | `[static]`

Definition at line 17 of file TextFileQueue.class.php.

TextFileQueue::getFileName | ( |  | ) |

Definition at line 29 of file TextFileQueue.class.php.

TextFileQueue::getOffset | ( |  | ) |

Definition at line 41 of file TextFileQueue.class.php.

TextFileQueue::setFileName | ( | $ | fileName | ) |

Definition at line 22 of file TextFileQueue.class.php.

References $fileName.

TextFileQueue::setOffset | ( | $ | offset | ) |

Definition at line 34 of file TextFileQueue.class.php.

References $offset.

## Member Data Documentation

TextFileQueue::$fileName = null`[private]`

Definition at line 14 of file TextFileQueue.class.php.

Referenced by setFileName().

TextFileQueue::$offset = null`[private]`

Definition at line 15 of file TextFileQueue.class.php.

Referenced by setOffset().

The documentation for this class was generated from the following file:

- main/Messages/TextFileQueue.class.php